# class Flags32 | A 32 bit length list of flags. More...
Full name | `TelEngine::Flags32`
Definition | `#include <yatecbase.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline Flags32 ()
- inline Flags32 (u_int32_t value)
- inline u_int32_t flags () const
- inline void set (u_int32_t mask)
- inline void reset (u_int32_t mask)
- inline u_int32_t flag (u_int32_t mask) const
- inline void changeFlag (u_int32_t mask, bool on)
- inline bool changeFlagCheck (u_int32_t mask, bool ok)
- inline void change (u_int32_t value)
- inline operator u_int32_t () const
- inline const Flags32& operator= (int value)

#### Protected Members

- u_int32_t m_flags

## Detailed Description

This class keeps a 32bit length flag mask

inline Flags32 () | ### Flags32

Constructor

inline Flags32 (u_int32_t value) | ### Flags32

Constructor

Parameters:

value | Flags value

inline u_int32_t flags () | ### flags

[const]

Retrieve flags value

Returns: The flags

inline void set (u_int32_t mask) | ### set

Set flags

Parameters:

mask | Flag(s) to set

inline void reset (u_int32_t mask) | ### reset

Reset flags

Parameters:

mask | Flag(s) to reset

inline u_int32_t flag (u_int32_t mask) | ### flag

[const]

Check if a mask of flags is set

Parameters:

mask | Flag(s) to check

Returns: The flags of mask which are set, 0 if no mask flag is set

inline void changeFlag (u_int32_t mask, bool on) | ### changeFlag

Set or reset flags

Parameters:

mask | Flag(s)
on | True to set, false to reset

inline bool changeFlagCheck (u_int32_t mask, bool ok) | ### changeFlagCheck

Set or reset flags, check if changed

Parameters:

mask | Flag(s)
ok | True to set, false to reset

Returns: True if any flag contained in mask changed

inline void change (u_int32_t value) | ### change

Change flags

Parameters:

value | New flags value

inline operator u_int32_t () | ### u_int32_t

[const]

Conversion to u_int32_t operator

inline const Flags32& operator= (int value) | ### operator=

Asignement from int operator

u_int32_t m_flags | ### m_flags

[protected]

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.